%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Name:           python26-papyon
Version:        0.4.3
Release:        1
Summary:        Python libraries for MSN Messenger network
Group:          Development/Languages
License:        GPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Papyon
Source0:        http://telepathy.freedesktop.org/releases/papyon/papyon-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:	python26-pyopenssl
BuildRequires:  python26-devel
BuildRequires:	python26-pygobject
Requires:	python26-pyopenssl
Requires:	python26-pygobject

%description
%{name} is the library behind the msn connection manager for telepathy.
%{name} uses the glib mainloop to process the network events in an
asynchronous manner


%prep
%setup -q -n papyon-%{version}
%{__sed} -i 's|\#!/usr/bin/env python||' papyon/msnp2p/test.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING NEWS AUTHORS
%{python_sitelib}/*


%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.3-1
- Initial CCux package release
